SDL_HasAVX(3)

NAME
SDL_HasAVX - Determine whether the CPU has AVX features.

HEADER FILE
Defined in SDL3/SDL_cpuinfo.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_bool SDL_HasAVX(void);

DESCRIPTION
This always returns false on CPUs that aren't using Intel instruction sets.

RETURN VALUE
Returns SDL_TRUE
 if the CPU has AVX features or SDL_FALSE
 if not.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_HasAVX2(3), SDL_HasAVX512F(3)